{"openapi":"3.0.0","paths":{"/v1/orgs/{orgId}/activity":{"get":{"operationId":"ActivityController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}},{"name":"offset","required":true,"in":"query","schema":{"type":"string"}},{"name":"action","required":true,"in":"query","schema":{"type":"string"}},{"name":"actorId","required":true,"in":"query","schema":{"type":"string"}},{"name":"from","required":true,"in":"query","schema":{"type":"string"}},{"name":"to","required":true,"in":"query","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/activity/facets":{"get":{"operationId":"ActivityController_facets","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/activity/export.csv":{"get":{"operationId":"ActivityController_exportCsv","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"action","required":true,"in":"query","schema":{"type":"string"}},{"name":"actorId","required":true,"in":"query","schema":{"type":"string"}},{"name":"from","required":true,"in":"query","schema":{"type":"string"}},{"name":"to","required":true,"in":"query","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/health":{"get":{"operationId":"HealthController_health","parameters":[],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/inbox":{"get":{"operationId":"InboxController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}},{"name":"before","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/inbox/unread":{"get":{"operationId":"InboxController_unread","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/inbox/{notificationId}/read":{"post":{"operationId":"InboxController_readOne","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"notificationId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/inbox/read":{"post":{"operationId":"InboxController_readMany","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/user/notification-prefs":{"get":{"operationId":"NotificationPrefsController_get","parameters":[{"name":"projectId","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"put":{"operationId":"NotificationPrefsController_put","parameters":[],"responses":{"200":{"description":""}}},"delete":{"operationId":"NotificationPrefsController_reset","parameters":[{"name":"projectId","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/user/push/config":{"get":{"operationId":"PushController_config","parameters":[],"responses":{"200":{"description":""}}}},"/v1/user/push/subscriptions":{"get":{"operationId":"PushController_list","parameters":[],"responses":{"200":{"description":""}}},"post":{"operationId":"PushController_subscribe","parameters":[{"name":"user-agent","required":true,"in":"header","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/user/push/subscriptions/{id}":{"delete":{"operationId":"PushController_remove","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/user/push/test":{"post":{"operationId":"PushController_test","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/sign-up":{"post":{"operationId":"AuthController_signUp","parameters":[],"responses":{"201":{"description":""}}}},"/v1/auth/sign-in":{"post":{"operationId":"AuthController_signIn","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/mfa/complete":{"post":{"operationId":"AuthController_completeMfa","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/password-reset/request":{"post":{"operationId":"AuthController_requestPasswordReset","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/password-reset/confirm":{"post":{"operationId":"AuthController_confirmPasswordReset","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/sign-in-link/request":{"post":{"operationId":"AuthController_requestSignInLink","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/sign-in-link/consume":{"post":{"operationId":"AuthController_consumeSignInLink","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/refresh":{"post":{"operationId":"AuthController_refresh","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/sign-out":{"post":{"operationId":"AuthController_signOut","parameters":[],"responses":{"204":{"description":""}}}},"/v1/auth/me":{"get":{"operationId":"AuthController_me","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/sessions":{"get":{"operationId":"AuthController_sessions","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/sessions/{id}/revoke":{"post":{"operationId":"AuthController_revokeSession","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/auth/sessions/revoke-all":{"post":{"operationId":"AuthController_revokeAllSessions","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/ws-token":{"post":{"operationId":"AuthController_wsToken","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/google/start":{"get":{"operationId":"SocialAuthController_startGoogle","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/google/callback":{"get":{"operationId":"SocialAuthController_googleCallback","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/github/start":{"get":{"operationId":"SocialAuthController_startGithub","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/github/sso/callback":{"get":{"operationId":"SocialAuthController_githubCallback","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/gitlab/start":{"get":{"operationId":"SocialAuthController_startGitlab","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/gitlab/sso/callback":{"get":{"operationId":"SocialAuthController_gitlabCallback","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/cli/start":{"post":{"operationId":"CliAuthController_start","parameters":[],"responses":{"201":{"description":""}}}},"/v1/auth/cli/{userCode}":{"get":{"operationId":"CliAuthController_describe","parameters":[{"name":"userCode","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/auth/cli/approve":{"post":{"operationId":"CliAuthController_approve","parameters":[],"responses":{"201":{"description":""}}}},"/v1/auth/cli/deny":{"post":{"operationId":"CliAuthController_deny","parameters":[],"responses":{"201":{"description":""}}}},"/v1/auth/cli/token":{"post":{"operationId":"CliAuthController_token","parameters":[{"name":"rfc8628","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/auth/mfa":{"get":{"operationId":"MfaController_list","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/mfa/status":{"get":{"operationId":"MfaController_status","parameters":[],"responses":{"200":{"description":""}}}},"/v1/auth/mfa/recovery-codes":{"post":{"operationId":"MfaController_regenerateRecoveryCodes","parameters":[],"responses":{"201":{"description":""}}}},"/v1/auth/mfa/totp":{"post":{"operationId":"MfaController_start","parameters":[],"responses":{"201":{"description":""}}}},"/v1/auth/mfa/totp/confirm":{"post":{"operationId":"MfaController_confirm","parameters":[],"responses":{"201":{"description":""}}}},"/v1/auth/mfa/{factorId}":{"delete":{"operationId":"MfaController_remove","parameters":[{"name":"factorId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/growth/referrals":{"get":{"operationId":"GrowthController_myReferrals","parameters":[],"responses":{"200":{"description":""}}}},"/v1/growth/track":{"post":{"operationId":"GrowthController_track","parameters":[],"responses":{"201":{"description":""}}}},"/v1/growth/funnel":{"get":{"operationId":"GrowthController_getFunnel","parameters":[{"name":"weeks","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/growth/review/current":{"get":{"operationId":"GrowthController_currentReview","parameters":[],"responses":{"200":{"description":""}}}},"/v1/growth/review/history":{"get":{"operationId":"GrowthController_reviewHistory","parameters":[{"name":"n","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs":{"get":{"operationId":"OrgsController_list","parameters":[],"responses":{"200":{"description":""}}},"post":{"operationId":"OrgsController_create","parameters":[],"responses":{"201":{"description":""}}}},"/v1/orgs/check-slug":{"get":{"operationId":"OrgsController_checkSlug","parameters":[{"name":"slug","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/stats":{"get":{"operationId":"OrgsController_getStats","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}":{"get":{"operationId":"OrgsController_get","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"patch":{"operationId":"OrgsController_update","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/members":{"get":{"operationId":"OrgsController_members","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/invitations":{"get":{"operationId":"OrgsController_invitations","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"OrgsController_invite","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/invitations/{invitationId}/resend":{"post":{"operationId":"OrgsController_resendInvitation","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"invitationId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/invitations/{invitationId}":{"patch":{"operationId":"OrgsController_updateInvitationRole","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"invitationId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"delete":{"operationId":"OrgsController_revokeInvitation","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"invitationId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/members/{memberId}":{"patch":{"operationId":"OrgsController_updateRole","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"memberId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"delete":{"operationId":"OrgsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"memberId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/invitations":{"get":{"operationId":"InvitationsController_mine","parameters":[],"responses":{"200":{"description":""}}}},"/v1/invitations/{token}":{"get":{"operationId":"InvitationsController_info","parameters":[{"name":"token","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/invitations/{token}/accept":{"post":{"operationId":"InvitationsController_accept","parameters":[{"name":"token","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/invitations/{token}/decline":{"post":{"operationId":"InvitationsController_decline","parameters":[{"name":"token","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects":{"get":{"operationId":"ProjectsController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"offset","required":true,"in":"query","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}},{"name":"standalone","required":true,"in":"query","schema":{"type":"string"}},{"name":"withLatest","required":true,"in":"query","schema":{"type":"string"}},{"name":"withTotal","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"ProjectsController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}":{"get":{"operationId":"ProjectsController_get","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"patch":{"operationId":"ProjectsController_update","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":64},"slug":{"type":"string","minLength":2,"maxLength":48,"pattern":"^[a-z0-9][a-z0-9-]*[a-z0-9]$"},"gitProvider":{"type":"string","enum":["github","gitlab","bitbucket"]},"gitRepoId":{"type":"string","minLength":1},"gitRepoFullName":{"type":"string","minLength":1},"productionBranch":{"type":"string","default":"main"},"rootDir":{"type":"string","default":"."},"framework":{"type":"string","minLength":1},"buildCommand":{"type":"string"},"startCommand":{"type":"string"},"outputDir":{"type":"string","maxLength":200,"nullable":true},"nodeVersion":{"type":"string"},"port":{"type":"integer","minimum":1,"maximum":65535},"cpu":{"type":"string","pattern":"^\\d+m?$"},"memory":{"type":"string","pattern":"^\\d+(Mi|Gi)$"},"regions":{"type":"array","items":{"type":"string"},"minItems":1,"default":["fra1"]},"groupId":{"type":"string","minLength":1,"maxLength":64,"nullable":true},"tags":{"type":"array","items":{"type":"string","minLength":1,"maxLength":1280},"maxItems":100},"autoDeploy":{"type":"boolean"},"previewDeployments":{"type":"boolean"},"requireChecks":{"type":"boolean"},"ignoredBuildCommand":{"type":"string","maxLength":500,"nullable":true},"retentionDays":{"type":"integer","minimum":1,"maximum":365,"nullable":true},"minReplicas":{"type":"integer","minimum":0,"maximum":20},"maxReplicas":{"type":"integer","minimum":1,"maximum":50},"image":{"type":"string","minLength":1,"maxLength":200,"pattern":"^[a-z0-9]+(?:[._\\-/][a-z0-9]+)*$"},"imageTag":{"type":"string","minLength":1,"maxLength":100,"pattern":"^[\\w][\\w.\\-]*(?:@sha256:[a-f0-9]{64})?$|^sha256:[a-f0-9]{64}$"},"imageRegistry":{"type":"string","minLength":1,"maxLength":200,"pattern":"^[a-z0-9.-]+(?::\\d+)?$"},"analyticsInjection":{"type":"boolean"},"serverTiming":{"type":"boolean"},"hstsMaxAgeSecs":{"type":"integer","minimum":0,"maximum":315360000},"hstsIncludeSubdomains":{"type":"boolean"},"hstsPreload":{"type":"boolean"}},"additionalProperties":false}}}},"responses":{"200":{"description":""}}},"delete":{"operationId":"ProjectsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/from-image":{"post":{"operationId":"ProjectsController_createFromImage","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/from-template":{"post":{"operationId":"ProjectsController_createFromTemplate","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/auto-deploy-status":{"get":{"operationId":"ProjectsController_autoDeployStatus","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/project-groups":{"get":{"operationId":"ProjectGroupsController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"ProjectGroupsController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/project-groups/{slug}":{"get":{"operationId":"ProjectGroupsController_getBySlug","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"slug","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/project-groups/{groupId}":{"delete":{"operationId":"ProjectGroupsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"groupId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/deployments":{"get":{"operationId":"DeploymentsController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"DeploymentsController_trigger","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/deployments":{"get":{"operationId":"DeploymentsController_listForOrg","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"status","required":true,"in":"query","schema":{"type":"string"}},{"name":"env","required":true,"in":"query","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"query","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}},{"name":"since","required":true,"in":"query","schema":{"type":"string"}},{"name":"before","required":true,"in":"query","schema":{"type":"string"}},{"name":"beforeId","required":true,"in":"query","schema":{"type":"string"}},{"name":"withTotal","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/deployments/{deploymentId}":{"get":{"operationId":"DeploymentsController_get","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"deploymentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"delete":{"operationId":"DeploymentsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"deploymentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/deployments/{deploymentId}/instances":{"get":{"operationId":"DeploymentsController_instances","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"deploymentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/deployments/{deploymentId}/events":{"get":{"operationId":"DeploymentsController_events","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"deploymentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/deployments/{deploymentId}/diagnoses":{"get":{"operationId":"DeploymentsController_diagnoses","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"deploymentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/deployments/{deploymentId}/sbom":{"get":{"operationId":"DeploymentsController_sbom","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"deploymentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/source-uploads":{"post":{"operationId":"DeploymentsController_uploadSource","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/deployments/image":{"post":{"operationId":"DeploymentsController_triggerImage","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/deployments/{deploymentId}/cancel":{"post":{"operationId":"DeploymentsController_cancel","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"deploymentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/deployments/{deploymentId}/approve":{"post":{"operationId":"DeploymentsController_approve","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"deploymentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/deployments/{deploymentId}/reject":{"post":{"operationId":"DeploymentsController_reject","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"deploymentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/rollback":{"post":{"operationId":"DeploymentsController_rollback","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/git/connections":{"get":{"operationId":"GitConnectionsController_connections","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/git/{provider}/repos":{"get":{"operationId":"GitConnectionsController_repos","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"provider","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/git/github/unclaimed-installations":{"get":{"operationId":"GitConnectionsController_unclaimed","parameters":[],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/git/github/claim":{"post":{"operationId":"GitConnectionsController_claim","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/git/{provider}":{"delete":{"operationId":"GitConnectionsController_disconnect","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"provider","required":true,"in":"path","schema":{"type":"string"}},{"name":"connectionId","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/auth/github/install":{"get":{"operationId":"GitInstallController_startGithubInstall","parameters":[{"name":"orgId","required":true,"in":"query","schema":{"type":"string"}},{"name":"returnTo","required":true,"in":"query","schema":{"type":"string"}},{"name":"mode","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/auth/github/callback":{"get":{"operationId":"GitInstallController_handleGithubCallback","parameters":[{"name":"installation_id","required":true,"in":"query","schema":{"type":"string"}},{"name":"setup_action","required":true,"in":"query","schema":{"type":"string"}},{"name":"state","required":true,"in":"query","schema":{"type":"string"}},{"name":"code","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/auth/github/user-link":{"get":{"operationId":"GitInstallController_startGithubUserLink","parameters":[{"name":"orgId","required":true,"in":"query","schema":{"type":"string"}},{"name":"returnTo","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/auth/github/user-callback":{"get":{"operationId":"GitInstallController_handleGithubUserCallback","parameters":[{"name":"code","required":true,"in":"query","schema":{"type":"string"}},{"name":"state","required":true,"in":"query","schema":{"type":"string"}},{"name":"error","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/auth/gitlab/install":{"get":{"operationId":"GitInstallController_startGitlabInstall","parameters":[{"name":"orgId","required":true,"in":"query","schema":{"type":"string"}},{"name":"returnTo","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/auth/gitlab/callback":{"get":{"operationId":"GitInstallController_handleGitlabCallback","parameters":[{"name":"code","required":true,"in":"query","schema":{"type":"string"}},{"name":"state","required":true,"in":"query","schema":{"type":"string"}},{"name":"error","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/auth/bitbucket/install":{"get":{"operationId":"GitInstallController_startBitbucketInstall","parameters":[{"name":"orgId","required":true,"in":"query","schema":{"type":"string"}},{"name":"returnTo","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/auth/bitbucket/callback":{"get":{"operationId":"GitInstallController_handleBitbucketCallback","parameters":[{"name":"code","required":true,"in":"query","schema":{"type":"string"}},{"name":"state","required":true,"in":"query","schema":{"type":"string"}},{"name":"error","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/env":{"get":{"operationId":"EnvVarsController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"env","required":true,"in":"query","schema":{"type":"string"}},{"name":"target","required":true,"in":"query","schema":{"type":"string"}},{"name":"branch","required":true,"in":"query","schema":{"type":"string"}},{"name":"reveal","required":true,"in":"query","schema":{"type":"string"}},{"name":"x-bf-reveal","required":true,"in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"EnvVarsController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/env/{envId}":{"patch":{"operationId":"EnvVarsController_update","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"envId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"delete":{"operationId":"EnvVarsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"envId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/env/import":{"post":{"operationId":"EnvVarsController_bulkImport","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/env-integrations":{"get":{"operationId":"EnvIntegrationsController_list","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"put":{"operationId":"EnvIntegrationsController_upsert","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/env-integrations/test":{"post":{"operationId":"EnvIntegrationsController_test","parameters":[],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/env-integrations/{id}/sync":{"post":{"operationId":"EnvIntegrationsController_sync","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/env-integrations/{id}":{"delete":{"operationId":"EnvIntegrationsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/billing":{"get":{"operationId":"BillingController_summary","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/billing/usage-cap":{"post":{"operationId":"BillingController_setUsageCap","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/billing/payment-methods":{"get":{"operationId":"BillingController_paymentMethods","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/billing/payment-methods/setup-intent":{"post":{"operationId":"BillingController_setupIntent","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/billing/payment-methods/{pmId}/default":{"post":{"operationId":"BillingController_setDefault","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"pmId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/billing/payment-methods/{pmId}":{"delete":{"operationId":"BillingController_detach","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"pmId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/billing/subscription":{"post":{"operationId":"BillingController_subscribe","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}},"delete":{"operationId":"BillingController_cancel","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/billing/invoices":{"get":{"operationId":"BillingController_invoices","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/billing/invoices/{invoiceId}":{"get":{"operationId":"BillingController_invoice","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"invoiceId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/billing/tax-ids":{"get":{"operationId":"BillingController_taxIds","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"BillingController_addTaxId","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/billing/tax-ids/{taxIdId}":{"delete":{"operationId":"BillingController_removeTaxId","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"taxIdId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/billing/address":{"put":{"operationId":"BillingController_updateAddress","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/billing/email":{"put":{"operationId":"BillingController_updateEmail","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/ci/runs":{"get":{"operationId":"CiController_listRuns","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"ref","required":true,"in":"query","schema":{"type":"string"}},{"name":"status","required":true,"in":"query","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}},{"name":"before","required":true,"in":"query","schema":{"type":"string"}},{"name":"beforeId","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"CiController_runManual","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/ci/runs/{runId}":{"get":{"operationId":"CiController_getRun","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"runId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/ci/runs/{runId}/rerun":{"post":{"operationId":"CiController_rerun","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"runId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/ci/runs/{runId}/cancel":{"post":{"operationId":"CiController_cancel","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"runId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/ci/jobs/{jobId}/logs":{"get":{"operationId":"CiController_logs","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"jobId","required":true,"in":"path","schema":{"type":"string"}},{"name":"after","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/ci/jobs/{jobId}/logs/download":{"get":{"operationId":"CiController_downloadLogs","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"jobId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/ci/artifacts/{artifactId}/download":{"get":{"operationId":"CiController_downloadArtifact","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"artifactId","required":true,"in":"path","schema":{"type":"string"}},{"name":"redirect","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/ci/secrets":{"get":{"operationId":"CiController_listSecrets","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"CiController_setSecret","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/ci/secrets/{secretId}":{"delete":{"operationId":"CiController_deleteSecret","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"secretId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/ci/config":{"get":{"operationId":"CiController_config","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"ref","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/ci/config/validate":{"post":{"operationId":"CiController_validate","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/dedicated-dbs":{"get":{"operationId":"DedicatedDbsController_list","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"DedicatedDbsController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/dedicated-dbs/{dbId}":{"delete":{"operationId":"DedicatedDbsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"dbId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/dedicated-dbs/{dbId}/backups":{"get":{"operationId":"DedicatedDbsController_backups","parameters":[{"name":"dbId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/dedicated-dbs/{dbId}/restore":{"post":{"operationId":"DedicatedDbsController_restore","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"dbId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/dedicated-dbs/{dbId}/branch":{"post":{"operationId":"DedicatedDbsController_branch","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"dbId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/dedicated-dbs":{"get":{"operationId":"DedicatedDbLinksController_listWorkspace","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/dedicated-db-links":{"get":{"operationId":"DedicatedDbLinksController_listForProject","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"DedicatedDbLinksController_connect","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/dedicated-db-links/{dbLinkId}":{"delete":{"operationId":"DedicatedDbLinksController_disconnect","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"dbLinkId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/db-integrations":{"get":{"operationId":"DbIntegrationsController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"DbIntegrationsController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/db-integrations/{id}":{"patch":{"operationId":"DbIntegrationsController_update","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"delete":{"operationId":"DbIntegrationsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/db-integrations/{id}/link":{"post":{"operationId":"DbIntegrationsController_link","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/db-integrations/{id}/links/{linkId}":{"delete":{"operationId":"DbIntegrationsController_unlink","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"id","required":true,"in":"path","schema":{"type":"string"}},{"name":"linkId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/environments":{"get":{"operationId":"EnvironmentsController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"EnvironmentsController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/environments/{environmentId}":{"patch":{"operationId":"EnvironmentsController_update","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"environmentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"delete":{"operationId":"EnvironmentsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"environmentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/firewall/rules":{"get":{"operationId":"FirewallController_listRules","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"FirewallController_createRule","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/firewall/rules/{ruleId}":{"patch":{"operationId":"FirewallController_updateRule","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"ruleId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"delete":{"operationId":"FirewallController_removeRule","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"ruleId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/firewall/events":{"get":{"operationId":"FirewallController_listEvents","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"hours","required":true,"in":"query","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/isr/revalidate":{"post":{"operationId":"IsrController_revalidate","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/deploy-hooks":{"get":{"operationId":"ProjectDeployHooksController_list","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"ProjectDeployHooksController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/deploy-hooks/{hookId}/rotate":{"post":{"operationId":"ProjectDeployHooksController_rotate","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"hookId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/deploy-hooks/{hookId}":{"delete":{"operationId":"ProjectDeployHooksController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"hookId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/hooks/deploy/{secret}":{"post":{"operationId":"PublicDeployHooksController_fire","parameters":[{"name":"secret","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/cron":{"get":{"operationId":"CronJobsController_list","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"CronJobsController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":120},"schedule":{"type":"string","minLength":1,"maxLength":120,"description":"5-field cron, UTC, e.g. \"*/15 * * * *\""},"path":{"type":"string","minLength":1,"maxLength":500,"pattern":"^\\/[^\\s]*$","description":"Path on the app, e.g. /api/cron/daily"},"method":{"type":"string","enum":["GET","POST","PUT","PATCH","DELETE"],"default":"POST"},"enabled":{"type":"boolean","default":true}},"required":["name","schedule","path"],"additionalProperties":false}}}},"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/cron/{cronId}":{"patch":{"operationId":"CronJobsController_update","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"cronId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":120},"schedule":{"type":"string","minLength":1,"maxLength":120,"description":"5-field cron, UTC, e.g. \"*/15 * * * *\""},"path":{"type":"string","minLength":1,"maxLength":500,"pattern":"^\\/[^\\s]*$","description":"Path on the app, e.g. /api/cron/daily"},"method":{"type":"string","enum":["GET","POST","PUT","PATCH","DELETE"]},"enabled":{"type":"boolean"}},"additionalProperties":false}}}},"responses":{"200":{"description":""}}},"delete":{"operationId":"CronJobsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"cronId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/cron/{cronId}/run":{"post":{"operationId":"CronJobsController_run","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"cronId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/cron/{cronId}/runs":{"get":{"operationId":"CronJobsController_runs","parameters":[{"name":"cronId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/preview-protection":{"get":{"operationId":"PreviewProtectionController_get","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"put":{"operationId":"PreviewProtectionController_set","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/preview-protection/{projectId}/verify":{"post":{"operationId":"PublicPreviewProtectionController_verify","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/preview-protection/{projectId}/check":{"get":{"operationId":"PublicPreviewProtectionController_check","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/analytics/{projectId}/bfy.js":{"get":{"operationId":"PublicAnalyticsController_tracker","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/analytics/{projectId}/beacon":{"post":{"operationId":"PublicAnalyticsController_beacon","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"204":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/analytics/overview":{"get":{"operationId":"AnalyticsQueryController_overview","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"days","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/analytics/top-paths":{"get":{"operationId":"AnalyticsQueryController_top","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"days","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/analytics/vitals":{"get":{"operationId":"AnalyticsQueryController_vitals","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"days","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/log-drains":{"get":{"operationId":"LogDrainsController_list","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"LogDrainsController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/log-drains/{drainId}/secret/regenerate":{"post":{"operationId":"LogDrainsController_regenerateSecret","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"drainId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/log-drains/{drainId}":{"delete":{"operationId":"LogDrainsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"drainId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/log-drains/{drainId}/test":{"post":{"operationId":"LogDrainsController_test","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"drainId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/addons":{"get":{"operationId":"AddonsController_list","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"AddonsController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/addons/{addonId}":{"delete":{"operationId":"AddonsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"addonId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/components":{"get":{"operationId":"ComponentsController_list","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"ComponentsController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/components/{componentId}":{"patch":{"operationId":"ComponentsController_update","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"componentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"delete":{"operationId":"ComponentsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"componentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/components/{componentId}/deploy":{"post":{"operationId":"ComponentsController_deploy","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"componentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/instance-sizes":{"get":{"operationId":"InstanceSizesController_list","parameters":[],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/components/{componentId}/volumes":{"get":{"operationId":"VolumesController_list","parameters":[{"name":"componentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"VolumesController_create","parameters":[{"name":"componentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/components/{componentId}/volumes/{volumeId}":{"delete":{"operationId":"VolumesController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"componentId","required":true,"in":"path","schema":{"type":"string"}},{"name":"volumeId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/buckets":{"get":{"operationId":"ObjectStorageController_list","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"ObjectStorageController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/buckets/{bucketId}":{"delete":{"operationId":"ObjectStorageController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"bucketId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/alerts":{"get":{"operationId":"AlertsController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"AlertsController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/alerts/{ruleId}":{"patch":{"operationId":"AlertsController_update","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"ruleId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"delete":{"operationId":"AlertsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"ruleId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/alerts/{ruleId}/test":{"post":{"operationId":"AlertsController_test","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"ruleId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/alerts/{ruleId}/secret/regenerate":{"post":{"operationId":"AlertsController_regenerateSecret","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"ruleId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/notifications":{"get":{"operationId":"NotificationsController_list","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"NotificationsController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/notifications/{id}":{"patch":{"operationId":"NotificationsController_update","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"delete":{"operationId":"NotificationsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/notifications/{id}/test":{"post":{"operationId":"NotificationsController_test","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/webhooks":{"get":{"operationId":"OutboundWebhooksController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"OutboundWebhooksController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/webhooks":{"get":{"operationId":"OutboundWebhooksController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"OutboundWebhooksController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/webhooks/{webhookId}":{"patch":{"operationId":"OutboundWebhooksController_update","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"webhookId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"delete":{"operationId":"OutboundWebhooksController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"webhookId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/webhooks/{webhookId}":{"patch":{"operationId":"OutboundWebhooksController_update","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"webhookId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"delete":{"operationId":"OutboundWebhooksController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"webhookId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/webhooks/{webhookId}/rotate":{"post":{"operationId":"OutboundWebhooksController_rotate","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"webhookId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/webhooks/{webhookId}/rotate":{"post":{"operationId":"OutboundWebhooksController_rotate","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"webhookId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/webhooks/{webhookId}/deliveries":{"get":{"operationId":"OutboundWebhooksController_deliveries","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"webhookId","required":true,"in":"path","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/webhooks/{webhookId}/deliveries":{"get":{"operationId":"OutboundWebhooksController_deliveries","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"webhookId","required":true,"in":"path","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/webhooks/{webhookId}/deliveries/{deliveryId}/redeliver":{"post":{"operationId":"OutboundWebhooksController_redeliver","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"webhookId","required":true,"in":"path","schema":{"type":"string"}},{"name":"deliveryId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/webhooks/{webhookId}/deliveries/{deliveryId}/redeliver":{"post":{"operationId":"OutboundWebhooksController_redeliver","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"webhookId","required":true,"in":"path","schema":{"type":"string"}},{"name":"deliveryId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/webhooks/{webhookId}/test":{"post":{"operationId":"OutboundWebhooksController_test","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"webhookId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/webhooks/{webhookId}/test":{"post":{"operationId":"OutboundWebhooksController_test","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"webhookId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/static-sites":{"get":{"operationId":"StaticSitesController_summary","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/deployments/{deploymentId}/doctor":{"get":{"operationId":"BuildDoctorController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"deploymentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"BuildDoctorController_diagnose","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"deploymentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/doctor-reports/{reportId}/pr":{"post":{"operationId":"BuildDoctorController_openPr","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"reportId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/agents":{"get":{"operationId":"OrgAgentsController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/agents/invite":{"post":{"operationId":"OrgAgentsController_invite","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/agents/join":{"post":{"operationId":"PublicAgentsController_join","parameters":[],"responses":{"200":{"description":""}}}},"/v1/agents/{nodeId}/heartbeat":{"post":{"operationId":"PublicAgentsController_heartbeat","parameters":[{"name":"nodeId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/agents/{nodeId}/leave":{"post":{"operationId":"PublicAgentsController_leave","parameters":[{"name":"nodeId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/cost/overview":{"get":{"operationId":"CostController_overview","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/cost/per-project":{"get":{"operationId":"CostController_perProject","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/cost/recommendations":{"get":{"operationId":"CostController_recommend","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/metrics":{"get":{"operationId":"MetricsController_series","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/sso":{"get":{"operationId":"SsoController_get","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"put":{"operationId":"SsoController_upsert","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"delete":{"operationId":"SsoController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/sso/scim-token":{"post":{"operationId":"SsoController_scimToken","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/sso/ip-allowlist":{"get":{"operationId":"SsoController_listAllowlist","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"SsoController_addAllowlist","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/sso/ip-allowlist/{id}":{"delete":{"operationId":"SsoController_removeAllowlist","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/secret-findings":{"get":{"operationId":"SecretScannerController_list","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/secret-findings/{id}/import":{"post":{"operationId":"SecretScannerController_import","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/secret-findings/{id}":{"delete":{"operationId":"SecretScannerController_ignore","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/tunnel":{"get":{"operationId":"TunnelController_get","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/tunnel/start":{"post":{"operationId":"TunnelController_start","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/tunnel/stop":{"post":{"operationId":"TunnelController_stop","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/graduate":{"post":{"operationId":"GraduationController_export","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/graduate/handoff":{"post":{"operationId":"GraduationHandoffController_claim","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/graduate/redeem":{"post":{"operationId":"PublicGraduationController_redeem","parameters":[],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/domains":{"get":{"operationId":"DomainsController_list","parameters":[{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"DomainsController_add","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"host":{"type":"string","minLength":3,"maxLength":253,"pattern":"^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\\.)+[a-z]{2,}$"},"env":{"type":"string","enum":["production","preview","development"],"default":"production"},"componentId":{"type":"string","maxLength":64},"environmentId":{"type":"string","maxLength":64},"redirectsTo":{"type":"string","minLength":3,"maxLength":253,"pattern":"^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\\.)+[a-z]{2,}$"},"transfer":{"type":"boolean"}},"required":["host"],"additionalProperties":false}}}},"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/domains/{domainId}/verify":{"post":{"operationId":"DomainsController_verify","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"domainId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/domains/{domainId}/primary":{"post":{"operationId":"DomainsController_setPrimary","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"domainId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/domains/{domainId}":{"patch":{"operationId":"DomainsController_update","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"domainId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"componentId":{"type":"string","maxLength":64,"nullable":true},"redirectsTo":{"type":"string","minLength":3,"maxLength":253,"pattern":"^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\\.)+[a-z]{2,}$","nullable":true},"environmentId":{"type":"string","maxLength":64,"nullable":true}},"additionalProperties":false}}}},"responses":{"200":{"description":""}}},"delete":{"operationId":"DomainsController_remove","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"domainId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/platform/verification-targets":{"get":{"operationId":"PlatformSettingsController_targets","parameters":[],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/domains":{"get":{"operationId":"WorkspaceDomainsController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"q","required":true,"in":"query","schema":{"type":"string"}},{"name":"kind","required":true,"in":"query","schema":{"type":"string"}},{"name":"dns","required":true,"in":"query","schema":{"type":"string"}},{"name":"tls","required":true,"in":"query","schema":{"type":"string"}},{"name":"status","required":true,"in":"query","schema":{"type":"string"}},{"name":"env","required":true,"in":"query","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"query","schema":{"type":"string"}},{"name":"sort","required":true,"in":"query","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}},{"name":"offset","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/dns-providers":{"get":{"operationId":"DnsProvidersController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"DnsProvidersController_connect","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/dns-providers/{dnsProviderId}":{"delete":{"operationId":"DnsProvidersController_disconnect","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"dnsProviderId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/domains/{domainId}/dns-setup":{"get":{"operationId":"DnsProvidersController_detect","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"domainId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"DnsProvidersController_configure","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"domainId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/webhooks/github":{"post":{"operationId":"GithubWebhookController_handle","parameters":[{"name":"x-hub-signature-256","required":true,"in":"header","schema":{"type":"string"}},{"name":"x-github-event","required":true,"in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/webhooks/stripe":{"post":{"operationId":"StripeWebhookController_handle","parameters":[{"name":"stripe-signature","required":true,"in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/deployments/{deploymentId}/logs":{"get":{"operationId":"LogsController_tail","parameters":[{"name":"deploymentId","required":true,"in":"path","schema":{"type":"string"}},{"name":"stream","required":true,"in":"query","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/deployments/{deploymentId}/logs/stream":{"get":{"operationId":"LogsController_stream","parameters":[{"name":"deploymentId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/projects/{projectId}/runtime-logs":{"get":{"operationId":"RuntimeLogsController_tail","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"projectId","required":true,"in":"path","schema":{"type":"string"}},{"name":"deploymentId","required":true,"in":"query","schema":{"type":"string"}},{"name":"lines","required":true,"in":"query","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/feedback":{"post":{"operationId":"FeedbackController_create","parameters":[],"responses":{"201":{"description":""}}}},"/v1/feedback/mine":{"get":{"operationId":"FeedbackController_mine","parameters":[],"responses":{"200":{"description":""}}}},"/v1/feedback/inbox":{"get":{"operationId":"FeedbackController_list","parameters":[{"name":"type","required":true,"in":"query","schema":{"type":"string"}},{"name":"status","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/feedback/inbox/{id}":{"patch":{"operationId":"FeedbackController_update","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"delete":{"operationId":"FeedbackController_remove","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/feedback/inbox/{id}/attachment":{"get":{"operationId":"FeedbackController_attachment","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/feedback/inbox/{id}/comments":{"get":{"operationId":"FeedbackController_comments","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"FeedbackController_addComment","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/framework/repo-info":{"post":{"operationId":"FrameworkController_repoInfo","parameters":[],"responses":{"201":{"description":""}}}},"/v1/framework/detect":{"post":{"operationId":"FrameworkController_detect","parameters":[],"responses":{"201":{"description":""}}}},"/v1/framework/discover":{"post":{"operationId":"FrameworkController_discover","parameters":[],"responses":{"201":{"description":""}}}},"/v1/templates":{"get":{"operationId":"TemplatesController_list","parameters":[{"name":"include","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/templates/github-owners":{"get":{"operationId":"TemplateCloneController_owners","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/templates/{templateId}/clone":{"post":{"operationId":"TemplateCloneController_clone","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"templateId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/admin/overview":{"get":{"operationId":"AdminController_overview","parameters":[],"responses":{"200":{"description":""}}}},"/v1/admin/control-tower":{"get":{"operationId":"AdminController_controlTower","parameters":[],"responses":{"200":{"description":""}}}},"/v1/admin/tiers":{"get":{"operationId":"AdminController_tiers","parameters":[],"responses":{"200":{"description":""}}}},"/v1/admin/deploy-failures":{"get":{"operationId":"AdminController_deployFailures","parameters":[{"name":"days","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/admin/orgs":{"get":{"operationId":"AdminController_orgs","parameters":[{"name":"q","required":true,"in":"query","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}},{"name":"offset","required":true,"in":"query","schema":{"type":"string"}},{"name":"sort","required":true,"in":"query","schema":{"type":"string"}},{"name":"dir","required":true,"in":"query","schema":{"type":"string"}},{"name":"tier","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/admin/orgs/{orgId}":{"get":{"operationId":"AdminController_org","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/admin/orgs/{orgId}/tier":{"patch":{"operationId":"AdminController_setTier","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/admin/orgs/{orgId}/suspend":{"patch":{"operationId":"AdminController_setSuspended","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/admin/users":{"get":{"operationId":"AdminController_users","parameters":[{"name":"q","required":true,"in":"query","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}},{"name":"offset","required":true,"in":"query","schema":{"type":"string"}},{"name":"sort","required":true,"in":"query","schema":{"type":"string"}},{"name":"dir","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/admin/deployments":{"get":{"operationId":"AdminController_deployments","parameters":[{"name":"q","required":true,"in":"query","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}},{"name":"offset","required":true,"in":"query","schema":{"type":"string"}},{"name":"sort","required":true,"in":"query","schema":{"type":"string"}},{"name":"dir","required":true,"in":"query","schema":{"type":"string"}},{"name":"status","required":true,"in":"query","schema":{"type":"string"}},{"name":"env","required":true,"in":"query","schema":{"type":"string"}},{"name":"failureClass","required":true,"in":"query","schema":{"type":"string"}},{"name":"ruleId","required":true,"in":"query","schema":{"type":"string"}},{"name":"orgId","required":true,"in":"query","schema":{"type":"string"}},{"name":"days","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/admin/billing/invoices":{"get":{"operationId":"AdminController_invoices","parameters":[{"name":"limit","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/admin/billing/revenue-by-month":{"get":{"operationId":"AdminController_revenue","parameters":[{"name":"months","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/admin/usage":{"get":{"operationId":"AdminController_usage","parameters":[{"name":"limit","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/admin/audit":{"get":{"operationId":"AdminController_audit","parameters":[{"name":"q","required":true,"in":"query","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","schema":{"type":"string"}},{"name":"offset","required":true,"in":"query","schema":{"type":"string"}},{"name":"dir","required":true,"in":"query","schema":{"type":"string"}},{"name":"action","required":true,"in":"query","schema":{"type":"string"}},{"name":"orgId","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/admin/config":{"get":{"operationId":"AdminController_config","parameters":[],"responses":{"200":{"description":""}}}},"/v1/user/tokens":{"get":{"operationId":"UserTokensController_list","parameters":[],"responses":{"200":{"description":""}}},"post":{"operationId":"UserTokensController_create","parameters":[],"responses":{"201":{"description":""}}}},"/v1/user/tokens/{id}":{"delete":{"operationId":"UserTokensController_revoke","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/orgs/{orgId}/api-tokens":{"get":{"operationId":"ApiTokensController_list","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}},"post":{"operationId":"ApiTokensController_create","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/orgs/{orgId}/api-tokens/{id}":{"delete":{"operationId":"ApiTokensController_revoke","parameters":[{"name":"orgId","required":true,"in":"path","schema":{"type":"string"}},{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/auth/token/introspect":{"get":{"operationId":"TokenIntrospectController_introspect","parameters":[],"responses":{"200":{"description":""}}}},"/v1/user/account/deletion":{"get":{"operationId":"AccountController_preview","parameters":[],"responses":{"200":{"description":""}}}},"/v1/user/account/delete":{"post":{"operationId":"AccountController_remove","parameters":[],"responses":{"200":{"description":""}}}},"/.well-known/oauth-protected-resource":{"get":{"operationId":"McpWellKnownController_protectedResource","parameters":[],"responses":{"200":{"description":""}}}},"/.well-known/oauth-protected-resource/mcp":{"get":{"operationId":"McpWellKnownController_protectedResource","parameters":[],"responses":{"200":{"description":""}}}},"/.well-known/oauth-authorization-server":{"get":{"operationId":"McpWellKnownController_authorizationServer","parameters":[],"responses":{"200":{"description":""}}}},"/.well-known/oauth-authorization-server/mcp":{"get":{"operationId":"McpWellKnownController_authorizationServer","parameters":[],"responses":{"200":{"description":""}}}},"/v1/mcp/register":{"post":{"operationId":"McpOauthController_register","parameters":[],"responses":{"201":{"description":""}}}},"/v1/mcp/authorize":{"get":{"operationId":"McpOauthController_authorize","parameters":[{"name":"client_id","required":true,"in":"query","schema":{"type":"string"}},{"name":"redirect_uri","required":true,"in":"query","schema":{"type":"string"}},{"name":"code_challenge","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/mcp/approve":{"post":{"operationId":"McpOauthController_approve","parameters":[],"responses":{"201":{"description":""}}}},"/v1/mcp/token":{"post":{"operationId":"McpOauthController_token","parameters":[],"responses":{"201":{"description":""}}}},"/v1/mcp/consent-context":{"get":{"operationId":"McpOauthController_consentContext","parameters":[],"responses":{"200":{"description":""}}}},"/v1/mcp":{"get":{"operationId":"McpController_discovery","parameters":[],"responses":{"200":{"description":""}}},"post":{"operationId":"McpController_jsonrpc","parameters":[],"responses":{"201":{"description":""}}}},"/v1/status/uptime":{"get":{"operationId":"ReliabilityController_uptimeSummary","parameters":[],"responses":{"200":{"description":""}}}},"/v1/status/public":{"get":{"operationId":"ReliabilityController_publicStatus","parameters":[{"name":"brand","required":true,"in":"query","schema":{"type":"string"}},{"name":"host","required":true,"in":"header","schema":{"type":"string"}},{"name":"x-forwarded-host","required":true,"in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/status/history":{"get":{"operationId":"ReliabilityController_dailyHistory","parameters":[{"name":"days","required":true,"in":"query","schema":{"type":"string"}},{"name":"brand","required":true,"in":"query","schema":{"type":"string"}},{"name":"host","required":true,"in":"header","schema":{"type":"string"}},{"name":"x-forwarded-host","required":true,"in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/status/latency":{"get":{"operationId":"ReliabilityController_latency","parameters":[{"name":"target","required":true,"in":"query","schema":{"type":"string"}},{"name":"range","required":true,"in":"query","schema":{"type":"string"}},{"name":"brand","required":true,"in":"query","schema":{"type":"string"}},{"name":"host","required":true,"in":"header","schema":{"type":"string"}},{"name":"x-forwarded-host","required":true,"in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/status/incidents":{"get":{"operationId":"ReliabilityController_incidentHistory","parameters":[{"name":"days","required":true,"in":"query","schema":{"type":"string"}},{"name":"brand","required":true,"in":"query","schema":{"type":"string"}},{"name":"host","required":true,"in":"header","schema":{"type":"string"}},{"name":"x-forwarded-host","required":true,"in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/status/slo/{key}/history":{"get":{"operationId":"ReliabilityController_history","parameters":[{"name":"key","required":true,"in":"path","schema":{"type":"string"}},{"name":"hours","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/admin/incidents":{"post":{"operationId":"ReliabilityController_createIncident","parameters":[],"responses":{"201":{"description":""}}}},"/v1/admin/incidents/{id}/updates":{"post":{"operationId":"ReliabilityController_postUpdate","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}}}},"/v1/status/uptime/ingest":{"post":{"operationId":"UptimeChecksController_ingest","parameters":[],"responses":{"200":{"description":""}}}},"/v1/status/subscriptions":{"post":{"operationId":"StatusSubscriptionsController_subscribe","parameters":[],"responses":{"202":{"description":""}}}},"/v1/status/subscriptions/lookup":{"post":{"operationId":"StatusSubscriptionsController_lookup","parameters":[],"responses":{"200":{"description":""}}}},"/v1/status/subscriptions/confirm":{"post":{"operationId":"StatusSubscriptionsController_confirm","parameters":[],"responses":{"200":{"description":""}}}},"/v1/status/subscriptions/update":{"post":{"operationId":"StatusSubscriptionsController_update","parameters":[],"responses":{"200":{"description":""}}}},"/v1/status/subscriptions/unsubscribe":{"post":{"operationId":"StatusSubscriptionsController_unsubscribe","parameters":[],"responses":{"200":{"description":""}}}},"/v1/admin/integrations/quickbooks/status":{"get":{"operationId":"QuickbooksAdminController_status","parameters":[],"responses":{"200":{"description":""}}}},"/v1/admin/integrations/quickbooks/syncs":{"get":{"operationId":"QuickbooksAdminController_syncs","parameters":[{"name":"limit","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/v1/admin/integrations/quickbooks/backfill":{"post":{"operationId":"QuickbooksAdminController_backfill","parameters":[],"responses":{"200":{"description":""}}}},"/v1/admin/integrations/quickbooks/retry/{invoiceId}":{"post":{"operationId":"QuickbooksAdminController_retry","parameters":[{"name":"invoiceId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}}}}},"info":{"title":"Buildfyio API","description":"Public API for the Buildfyio PaaS. `/v1` is our stable surface — breaking changes bump to /v2 with a 90-day deprecation window.","version":"0.1.0","contact":{"name":"Buildfyio Support","url":"https://buildfyio.com/support","email":"support@buildfyio.com"}},"tags":[],"servers":[],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{}}}